<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_black"
    android:orientation="vertical"
    android:padding="10dp">

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/til_date"
        style="@style/BoxInputLayout"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        app:endIconMode="clear_text"
        app:hintEnabled="false">

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/et_date"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/color_white"
            android:hint="@string/hint_date"
            android:inputType="text"
            android:maxLength="50"
            android:padding="0dp" />
    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/til_title"
        style="@style/BoxInputLayout"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        app:endIconMode="clear_text"
        app:hintEnabled="false">

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/et_title"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/color_white"
            android:hint="@string/hint_title"
            android:inputType="text"
            android:maxLength="50"
            android:padding="0dp" />
    </com.google.android.material.textfield.TextInputLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/color_white"
        android:orientation="horizontal">

        <androidx.appcompat.widget.AppCompatSpinner
            android:id="@+id/spinner_fighter_1"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:background="@color/color_white"
            android:paddingLeft="7dp" />

        <ImageView
            android:layout_width="25dp"
            android:layout_height="25dp"
            android:layout_gravity="center|end"
            android:background="@drawable/ic_dropdown" />

    </FrameLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp" />

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/color_white"
        android:orientation="horizontal">

        <androidx.appcompat.widget.AppCompatSpinner
            android:id="@+id/spinner_fighter_2"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:background="@color/color_white"
            android:paddingLeft="7dp" />

        <ImageView
            android:layout_width="25dp"
            android:layout_height="25dp"
            android:layout_gravity="center|end"
            android:background="@drawable/ic_dropdown" />

    </FrameLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp" />

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/til_desc"
        style="@style/BoxInputLayout"
        android:layout_width="match_parent"
        android:layout_height="200dp"
        app:endIconMode="clear_text"
        app:hintEnabled="false">

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/et_desc"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/color_white"
            android:gravity="top"
            android:hint="@string/hint_desc"
            android:inputType="text"
            android:maxLength="50"
            android:padding="0dp" />
    </com.google.android.material.textfield.TextInputLayout>

    <Button
        android:id="@+id/submitButton"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:paddingStart="16dp"
        android:paddingEnd="16dp"
        android:text="Submit" />

    <ProgressBar
        android:id="@+id/loadingProgressBar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:visibility="gone"/>

    <TextView
        android:id="@+id/fighter_button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginTop="10dp"
        android:paddingTop="10dp"
        android:paddingBottom="10dp"
        android:text="@string/create_fighter"
        android:textColor="@color/color_white"
        android:textSize="14sp" />
</LinearLayout>
